local Pastry = ...

-- Register model for stocking asset
Pastry:registerAssetId("models/crate.fbx/Prefab/crate","MY_CRATE")

Pastry:registerPrefabComponent("models/crate.fbx/Prefab/crate", {
	DataType = "COMP_GROUNDED"
})

-- Register image assets
Pastry:registerAssetId("icons/egg.png", "ICON_PV2_EGG")

-- Register egg (food)
Pastry:register({
	DataType = "RESOURCE",
	Id = "PV2_EGG",
	ResourceName = "PV2_EGG",
	Icon = "ICON_PV2_EGG",
	ResourceTypeList = { "FOOD" },
	IsTradable = true,
        ResourceLayoutType = "CRATES",
        Prefab = "MY_CRATE",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 1 }
})

-- Register image assets
Pastry:registerAssetId("icons/butter.png", "ICON_PV2_BUTTER")

Pastry:register({
	DataType = "RESOURCE",
	Id = "PV2_BUTTER",
	ResourceName = "PV2_BUTTER",
	Icon = "ICON_PV2_BUTTER",
	ResourceTypeList = { "FOOD" },
	IsTradable = true,
        ResourceLayoutType = "CRATES",
        Prefab = "MY_CRATE",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 4 }
})

-- Register image assets
Pastry:registerAssetId("icons/pastry.png", "ICON_PV2_PASTRY")

Pastry:register({
	DataType = "RESOURCE",
	Id = "PV2_PASTRY",
	ResourceName = "PV2_PASTRY",
	Icon = "ICON_PV2_PASTRY",
	ResourceTypeList = { "LUXURY_FOOD" },
	IsTradable = true,
        ResourceLayoutType = "CRATES",
        Prefab = "MY_CRATE",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 15 }
})
