local Pastry = ...
-- Register model for stocking asset

-- Register Hen Breeder job
Pastry:register({
	DataType = "JOB",
	Id = "PV2_HEN_BREEDER",
	JobName = "PV2_HEN_BREEDER_NAME",
	JobDescription = "PV2_HEN_BREEDER_DESC",
        WorkstationSetup = "AGENT_PV2_HEN_BREEDER",
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        ProductionDelay = 30.0,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"
})

Pastry:register({
	DataType = "AGENT_WORKSTATION_SETUP",
	Id = "AGENT_PV2_HEN_BREEDER",
        ToolModel = "PREFAB_TOOL_FARMER_SEED_BAG",
        ToolHandAnchor = "LEFT",
        ToolWorkAttachName = "SeedBag_Anchor",
        ToolWalkAttachName = "SeedBag_Anchor",
	WorkAnimation = "SEED"
})

-- Register Dairy Maid job
Pastry:register({
	DataType = "JOB",
	Id = "PV2_DAIRY_MAID",
	JobName = "PV2_DAIRY_MAID_NAME",
	JobDescription = "PV2_DAIRY_MAID_DESC",
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        ProductionDelay = 22.0,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"
})
